
Redmine - Defect #34455

User can't view any projects or issues for their projects

2020-12-14 20:40 - Grant McEwan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.1.1

Description

Hi,

I have an installation i have recently upgraded from 3.3 to latest.

One of the users now has an issue where they cannot see any project from the projects, or my page links at the top of the page.

However, they can jump to a project, but then are faced with no issues viewable.

If i make this user an admin (I'm just testing at this point), then i can see they have well over 200 issues they are involved in, and the

projects etc all come up fine.

Is this an upgrade issue? Is this a permissions thing?

Apparently (i'm not on site, so i'm testing over an ssh tunnel) but logging in using this account using another PC works fine.

Any suggestions? i'm not sure what files i could post to help.

Thanks

Grant

History

#1 - 2021-01-24 23:25 - Marius BĂLTEANU

- Status changed from New to Needs feedback

- Assignee set to Grant McEwan

Grant McEwan wrote:

Hi,

I have an installation i have recently upgraded from 3.3 to latest.

One of the users now has an issue where they cannot see any project from the projects, or my page links at the top of the page.

However, they can jump to a project, but then are faced with no issues viewable.

If i make this user an admin (I'm just testing at this point), then i can see they have well over 200 issues they are involved in, and the projects etc

all come up fine.

Is this an upgrade issue? Is this a permissions thing?

 There are no knowing issues related to this.

Apparently (i'm not on site, so i'm testing over an ssh tunnel) but logging in using this account using another PC works fine.

 Are you saying that using the account with the problem on other PC works fine?

Any suggestions? i'm not sure what files i could post to help.

 Please see submissions, we need more info about your environment.

#2 - 2021-02-02 22:37 - Grant McEwan

Hi Marius,

It appeared that my database was not correct and things didn't line up. I think because the original was so old that converting it just didn't work.

I saw a post from another user who said about installing the new version with default data, and then copying over my existing data and doing an

upgrade, which is what i did.

I think for the most part it worked, users can now see the issues they need to and data seems to be still intact. I am taking issues that arise

2025-05-17 1/2

https://www.redmine.org/projects/redmine/wiki/Submissions


one-by-one.

will close this now.

#3 - 2021-02-03 10:06 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Assignee deleted (Grant McEwan)

- Resolution set to Invalid

Grant McEwan wrote:

will close this now.

 Thanks Grant for your feedback, I'm closing this.
